import { Host, h } from "@stencil/core";
import { cls } from "../../utils/helpers";
export class XList {
    constructor() {
        this.bordered = false;
    }
    /**
     * Render element
     */
    render() {
        return h(Host, { key: '03ef18bdb0218bd49b57b623e0331301ec054f65', class: cls({ 'list-bordered': this.bordered }) }, h("slot", { key: '15fc3048c6d73ecef486692c72d645d35282d82f' }));
    }
    static get is() { return "x-list"; }
    static get originalStyleUrls() {
        return {
            "$": ["./style.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["style.css"]
        };
    }
    static get properties() {
        return {
            "bordered": {
                "type": "boolean",
                "mutable": false,
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": "Element bordered style"
                },
                "attribute": "bordered",
                "reflect": false,
                "defaultValue": "false"
            }
        };
    }
}
